package com.atlassian.confluence.extra.chart;

import com.atlassian.renderer.v2.RenderMode;
import com.atlassian.renderer.v2.SubRenderer;
import com.atlassian.renderer.v2.macro.BaseMacro;
import org.apache.log4j.Category;

/**
 * Created by IntelliJ IDEA.
 * User: ewong
 * Date: 20/04/2005
 * Time: 13:57:40
 * To change this template use File | Settings | File Templates.
 */
public abstract class BaseChartMacro extends BaseMacro {
    protected static final Category log = Category.getInstance(BaseChartMacro.class);

    public void setSubRenderer(SubRenderer subRenderer) {
        this.subRenderer = subRenderer;
    }

    protected SubRenderer subRenderer;

    public boolean isInline() {
        return false;
    }

    public boolean hasBody() {
        return true;
    }

    public RenderMode getBodyRenderMode() {
        return RenderMode.NO_RENDER;
    }
}
